Bug 444849 - vino only listens on IPv6 interfaces
vino only listens on IPv6 interfaces
Product: Fedora
Classification: Fedora
Component: vino (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
: 463782 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2008-05-01 00:02 EDT by Charles R. Anderson
Modified: 2013-03-05 22:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 11:09:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Charles R. Anderson 2008-05-01 00:02:07 EDT
Description of problem:

I've always connected to vino-server over SSH like this:

ssh -L 5901:localhost:5900 remotehost

Then start vncviewer localhost:1 on the local system.

This doesn't work with F9's vino-server.  Instead, the SSH session gives an
error message:

channel 3: open failed: connect failed: Connection refused

Even trying to telnet to localhost port 5900 fails:

>telnet localhost 5900
telnet: connect to address Connection refused

But this works:

>telnet localhost6 5900
telnet: connect to address Connection refused
Trying ::1...
Connected to localhost6.
Escape character is '^]'.
RFB 003.007
telnet> quit
Connection closed.

netstat shows that vino-server is listening on ::1:5900

>netstat -nlp|grep 5900
(Not all processes could be identified, non-owned process info
 will not be shown, you would have to be root to see it all.)
tcp        0      0 ::1:5900                    :::*                       
LISTEN      3285/vino-server

As a workaround I've been able to forward the IPv6 port over SSH like this:

ssh -L '5901:[::1]:5900' remotehost

vino-server should be listening on a socket that allows connections to
and ::1 by default.

Version-Release number of selected component (if applicable):
Comment 1 Bug Zapper 2008-05-14 06:27:27 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 2 Dan Winship 2008-08-07 10:31:53 EDT
The problem goes beyond localhost; on two different F9 machines I've tried, vino-server only listens on remote IPv6 interfaces as well, and not remote IPv4 interfaces
Comment 3 Dan Winship 2008-08-07 10:55:41 EDT
Hm... server/libvncserver/sockets.c intentionally only opens an IPv6 socket if you built with IPv6 support. It must be expecting that libc will do the v6-mapped-v4-address thing and support IPv4 connections on the same socket? Did libc's behavior here change recently? Or did we used to build vino with --disable-ipv6? (That fixes this bug, though of course it breaks IPv6 usage completely.)
Comment 4 Bas Mevissen 2008-12-29 09:40:30 EST
New bug #463782 was submitted for F10. So this is an old problem (already existing in F8) which is still relevant...
Comment 5 Bug Zapper 2009-06-09 20:32:50 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 6 Charles R. Anderson 2009-06-18 23:53:20 EDT
Verified that this works in Fedora 11.
Comment 7 Charles R. Anderson 2009-06-18 23:53:40 EDT
*** Bug 463782 has been marked as a duplicate of this bug. ***
Comment 8 Bug Zapper 2009-07-14 11:09:42 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.